SOGREP(1)

BEZEICHNUNG
sogrep - Links auf dynamische Bibliotheken in einem einem Arch-Linux-Repositorium finden

ÜBERSICHT

sogrep [Optionen] Repo Bibname

BESCHREIBUNG

Prüft die Soname-Link-Datenbank für Arch-Linux-Repositorien, die Pakete enthalten, die mit der angegebenen dynamischen Bibliothek gelinkt sind. Falls das angegebene Repositorium »all« lautet, dann werden alle Repositorien durchsucht, andernfalls werden nur die benannten Repositorien durchsucht.

Falls die Link-Datenbank nicht existiert, wird sie zuerst heruntergeladen.

OPTIONEN

-v, --verbose
    Stellt detaillierte Ausgabe bereit, die die übereinstimmenden Links für jedes Paket enthalten, das Repositorium, aus dem es kam (für den Fall, dass alle Repositorien durchsucht werden) und, wenn mit »-r« kombiniert, ein Fortschrittsbalken für das Herunterladen der Link-Datenbank.

-r, --refresh
    Erneuert die Link-Datenbanken.

-h, --help
    Zeigt einen Hilfetext an.

UMGEBUNGSVARIABLEN

SOLINKS_MIRROR="https://mirror.foo.com" Alternativer Spiegel zum Herunterladen der Soname-Link-Datenbank.

SOCACHE_DIR="/Pfad/zum/Verzeichnis"
    Verzeichnis, in der die Soname-Link-Datenbank gespeichert wird. Setzt das durch die Umgebungsvariable XDG_CACHE_HOME oder HOME (falls XDG_CACHE_HOME nicht gesetzt ist) gesetzte Standardverzeichnis außer Kraft.

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.